require "thor"
require "securerandom"

module Guyifeng
  class Command < Thor
    include Thor::Actions
    map "-v" => :version

    def self.source_root
      File.dirname(__FILE__)
    end

    desc "version", "show version"
    def version
      puts Guyifeng::VERSION
    end

    desc "new", "create the skeleton of project"
    def new(name)
      @app_name = name.capitalize
      @name = name
      directory("template", name)
    end
  end
end
